/*
 **********************************************************
 * dv.h  Mar 29, 1996 [fc]
 *  Revisited Jun 20, 2000 [fc]
 **********************************************************
 */

/*
 * Some defaults
 */
#define  DF_CF_FILE "./dv.cfg"		/* config file */
#define  DF_DV_PORT "./dev/ttyS1"	/* serial port */
#define  DF_FINGDIR "/tmp/"		/* Finger data directory */
#define  DF_FINGMODE 0			/* finger mode */
#define  DF_DATADIR "/tmp/"		/* Data directory */


/*
 * Structure to hold the davis raw weather station data
 */

struct raw_dv_data
{
	int iwspd, iwdir, iwchill, iintemp, iouttemp;
	int ipres, idpdt, iinhum, iouthum, idp, irain;
};


/*
 * Function Prototypes
 */

void Exception (int s);
int grok_davis (int rlen, unsigned char *ret_str, struct ws_data *dvd);
int dv_loop_comd (int pd, unsigned char *ret_buf);
int dvport_read (int pd, unsigned char *buf, int rlen, int sec, int msec);
void dvport_write (int pd, unsigned char *str, int len);
int dvport_setup (char *portname);
void dv_to_metric_float (struct ws_data *dv, struct raw_dv_data *raw);

